## indicator-network 0.3.8

=== debian/changelog ===
indicator-network (0.3.8-0ubuntu6) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:12:19 -0500

indicator-network (0.3.8-0ubuntu5) precise; urgency=low

  * Remove .a/.la files from the new indicators path as well as the old.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:18:57 +0000

indicator-network (0.3.8-0ubuntu4) oneiric; urgency=low

  * debian/source/format: switch to source format 3.0 (quilt).
  * debian/rules: switch to using the dh sequencer, port la file removal and
    passing the --list-missing flag to dh_install to an override.
  * debian/control: bump Build-Depends on debhelper to (>= 7.0.50~) and drop
    the cdbs Build-Depends.
  * debian/control: replace Build-Depends with the Gtk-3 equivalents:
    - libido-0.1-dev becomes libido3-0.1-dev.
    - libgtk2.0-dev becomes libgtk-3-dev.
    - libdbusmenu-gtk-dev becomes libdbusmenu-gtk3-dev and libdbusmenu-gtk-dev.
    - libindicator-dev becomes libindicator3-dev.
  * debian/control: add valac-0.14 to Build-Depends.
  * debian/patches/gtk3-vala-port.patch: port everything to GTK3 so it can
    actually build and appear in the panel.
  * debian/rules, debian/control: run dh_autoreconf in rules, due to the above
    patch. This means also adding dh-autoreconf to debian/control.
  * debian/compat: add compat file, set to 7.
  * debian/patches/generate_vapi.patch: add the extra Connman-1.0.vapi file and
    generation script included in previous upload, as patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 06 Sep 2011 13:45:12 -0400

indicator-network (0.3.8-0ubuntu3) oneiric; urgency=low

  * libnotify4-dev → libnotify-dev in Build-Depends,
    libnotify4-dev exists only in Natty, not in Oneiric.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 10 Jun 2011 11:00:27 +0200

indicator-network (0.3.8-0ubuntu2) oneiric; urgency=low

  * Build-Depend on intltool.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 06 Jun 2011 00:52:55 +0200

indicator-network (0.3.8-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix IPv6 settings (LP: #686356)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Mar 2011 08:50:18 -0400

indicator-network (0.3.7-0ubuntu1) natty; urgency=low

  * New upstream release
    - settings: hide unneeded tabs in edit network dialog (LP: #736673)
    - Use com.canonical.indicator.network dbus namespace (LP: #735413)
  * debian/control
    - Added build depends libgee-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 12:47:54 -0400

indicator-network (0.3.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - New settings app written in vala. Follows the ui design more 
      closely. (LP: #732608)
    - New settings app written in vala. Follows the ui design more closely.
    - Flight mode support both in Network Menu and in settings app.
    - Proper toggle switches in Network Menu.
    - Network Menu Wi-Fi on/off button doesn't work (LP: #684574)
    - Replace "Wireless: OFF/ON" with "Turn On/Off Wireless" (LP: #664071)
    - indicator icon showing disconnect even really connected (LP: #705329)
    - port from libnotify-dev to libnotify4-dev (LP: #720753)
  * debian/control
    - changed build depends from libnotify-dev to libnotify4-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 11 Mar 2011 02:13:29 -0500

indicator-network (0.3.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - cmcc improvements, ipv6 support and show technology state
    - accessibility support to the network menu
    - first usable version of indicator-network-settings-2 

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 13:22:37 -0500

indicator-network (0.3.4-0ubuntu2) natty; urgency=low

  * debian/control
    - bump build depends for libindicator-dev to >= 0.3.19

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Feb 2011 16:20:40 -0500

indicator-network (0.3.4-0ubuntu1) natty; urgency=low

  * New upstream release
    - Updated to support connman 0.69
  * debian/control
    - Depend on connman >= 0.69
    - Added build depends for libreadline-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Feb 2011 09:52:27 -0500

indicator-network (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Icon animation starts when network disconnected (LP: #685404)
    - Bluetooth network uses cellular icon (LP: #689304)
    - Beginnings of indicator-network-settings, but not usable yet

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 16 Dec 2010 14:48:28 -0500

indicator-network (0.3.1-0ubuntu3) natty; urgency=low

  * New upstream release
    - service crashes when inserting a modem (LP: #685400)
    - Indicator in wrong state after login (LP: #686415)
    - Cannot enter wpa passphrase (LP: #687414)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 17:15:31 -0500

indicator-network (0.3.0-0ubuntu2) natty; urgency=low

  * debian/control
    - Bump build depends for libdbusmenu-* to >= 0.3.90

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 13:04:33 -0500

indicator-network (0.3.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Ported to use GDBus
    - Use connman's new RequestInput agent API (LP: #656499)
    - Fixed crash with KeyError in get_passphrase (LP: #629021)
  debian/control
    - Depend on connman >= 0.64
    - Bump build depends for libglib2.0-dev to >= 2.26
    - Bump standards version to 3.9.1

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 01 Dec 2010 13:26:38 -0500

indicator-network (0.2.14-0ubuntu1) maverick; urgency=low

  * Include and install indicator-network-daemon-debug. (LP: #648582)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 30 Sep 2010 18:24:19 +0200

indicator-network (0.2.13-0ubuntu2) maverick; urgency=low

  * Rebuild for libindicator ABI change (LP: #637692)
  * debian/control: depends on latest libindicator-dev


