=== debian/control ===
Source: indicator-network
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               autotools-dev,
               intltool,
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libdbus-glib-1-dev,
               libindicator3-dev (>= 0.3.19),
               libdbusmenu-gtk-dev (>= 0.3.90),
               libdbusmenu-gtk3-dev (>= 0.3.90),
               libdbusmenu-glib-dev (>= 0.3.90),
               libido3-0.1-dev (>= 0.1.2),
               libreadline-dev,
  	       libnotify-dev (>= 0.7.0),
               valac-0.14,
               libgee-dev
Standards-Version: 3.9.1
Homepage: http://launchpad.net/indicator-network
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-network/ubuntu
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/indicator-network/ubuntu

Package: indicator-network
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
         python,
         python-dbus,
         python-gtk2,
         python-gobject,
	 connman (>= 0.69),
         mobile-broadband-provider-info
Description: A system network indicator.
 A system network indicator which provides easy control of the Connection
 Manager.
