=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh --with autoreconf $@

override_dh_install:
	# remove .a/.la clutter
	rm -f debian/*/usr/lib/indicators*/*/*.a
	rm -f debian/*/usr/lib/indicators*/*/*.la
	dh_install --list-missing
