## indicator-network 0.3.9-newyork26cambridge3

=== debian/changelog ===
indicator-network (0.3.9-newyork26cambridge3) precise; urgency=low

  [ Yuan-Chen Cheng ]
  * Disable Mobile Data toggle and set it to off in airplane mode.
    (LP: #1116713)
  * As Android level go higher, show maximum we have instead of crash.
    (LP: #1118537)

  [ PS Jenkins bot ]
  * Auto build.

 -- PS Jenkins bot <ps-jenkins@lists.canonical.com>  Fri, 08 Mar 2013 03:35:11 +0000

indicator-network (0.3.9-newyork26cambridge2) precise; urgency=low

  * Fix no checkmark on connected AP and related phenomenon.
    (LP: #1099970, LP: #1125560)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 27 Feb 2013 15:50:55 +0800

indicator-network (0.3.9-newyork26cambridge1) precise; urgency=low

  * Hide the flight mode menu (LP: #1100337)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Wed, 06 Feb 2013 11:05:42 -0700

indicator-network (0.3.9-newyork26) precise; urgency=low

  * Try to reconnect networks that failed to authenticate. (LP: #1031945)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 06 Feb 2013 15:06:56 -0200

indicator-network (0.3.9-newyork25) precise; urgency=low

  * AndroidService: check if WiFi is enabled before calling WiFi related D-Bus methods
  * Indicator: don't force scan request when menu is opened
  * Set window icons for the dialogs. (LP: #1025696)
  * Notify on Airplane mode, wifi and mobile data state changes. (LP: #1025699)

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 24 Jul 2012 05:15:15 +0300

indicator-network (0.3.9-newyork24) precise; urgency=low

  * AndroidService: D-Bus API changes
    - requires android-ubuntu-network >= 164

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 20 Jul 2012 20:08:14 +0300

indicator-network (0.3.9-newyork23) precise; urgency=low

  * NetworkMenu: hide "Other Networks.." if all the APs are visible in the menu already.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 17 Jul 2012 15:56:27 +0300

indicator-network (0.3.9-newyork22) precise; urgency=low

  * PassphraseDialog: Accept the dialog with Enter. (LP: #1018205)
  * AndroidService: scan results as structs.
    - requires android-ubuntu-network >= 160

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 10 Jul 2012 17:36:06 +0300

indicator-network (0.3.9-newyork21) precise; urgency=low

  * Small fix to get proper initial network states if WiFi is disabled.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 28 Jun 2012 20:19:17 +0300

indicator-network (0.3.9-newyork20) precise; urgency=low

  * Final assets.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 28 Jun 2012 15:00:31 +0300

indicator-network (0.3.9-newyork19) precise; urgency=low

  * Clear access point list when WiFi gets disabled. (LP: #1018026)

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Wed, 27 Jun 2012 19:02:50 +0300

indicator-network (0.3.9-newyork18) precise; urgency=low

  * UfA 1.0 Feature Complete
  * AirplaneMode icon
  * Radio technology (2g, 3g, 4g) icons for mobile broadband
  * Placeholder assets for radio technology and airplane mode

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 26 Jun 2012 18:32:50 +0300

indicator-network (0.3.9-newyork17) precise; urgency=low

  * two icons in the panel.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Mon, 25 Jun 2012 20:10:35 +0300

indicator-network (0.3.9-newyork16) precise; urgency=low

  * Release for precise.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 22 Jun 2012 19:44:48 +0300

indicator-network (0.3.9-newyork15) quantal; urgency=low

  * Add AndroidTelephonyService.
  * Add operator item in the network menu.
  * Get the operator name from the telephony service when
    showing OSD notify on mobile broadband connection.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 22 Jun 2012 19:19:03 +0300

indicator-network (0.3.9-newyork14) precise; urgency=low

  * Add Connection Information dialog to the indicator menu.
    - NOTE: connection information is available only for WiFi for now.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Sat, 16 Jun 2012 17:09:44 +0300

indicator-network (0.3.9-newyork13) precise; urgency=low

  * Implement switches for airplane mode, wifi enable and mobile data enable

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 15 Jun 2012 16:47:55 +0300

indicator-network (0.3.9-newyork12) precise; urgency=low

  * Other Networks dialog
    - shows a list of all available networks
  * Show only 5 access points in the indicator.
    - The rest are available from "More Networks..." dialog.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 12 Jun 2012 19:50:14 +0300

indicator-network (0.3.9-newyork11) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:50:47 +0200

indicator-network (0.3.9-newyork10) precise; urgency=low

  * Notifications on CONNECT and DISCONNECT.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Tue, 22 May 2012 22:37:03 +0300

indicator-network (0.3.9-newyork9) precise; urgency=low

  * Connect to network.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Fri, 18 May 2012 22:14:15 +0300

indicator-network (0.3.9-newyork8) precise; urgency=low

  * Quick fix to accommodate the change in the D-Bus API.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Wed, 16 May 2012 19:03:31 +0300

indicator-network (0.3.9-newyork7) precise; urgency=low

  * Switch over to the new Android Ubuntu Service.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Thu, 12 Apr 2012 14:01:57 +0300

indicator-network (0.3.9-newyork6) precise; urgency=low

  * Source upload for precise hard float.
  * Include fixes for some minor memory leaks.

 -- Antti Kaijanmäki <antti.kaijanmaki@canonical.com>  Mon, 19 Mar 2012 14:57:58 +0200

indicator-network (0.3.9-newyork5) precise; urgency=low


