=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
          python-dbus,
          python-gtk2,
          python-gobject,
-	 connman (>= 0.69),
          mobile-broadband-provider-info
 Description: A system network indicator.
  A system network indicator which provides easy control of the Connection
