=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper
+CFLAGS  += -DG_DISABLE_ASSERT
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 %:
