=== debian/watch ===
version=3
http://launchpad.net/indicator-network/+download .*/indicator-network-([0-9.]+)\.tar\.gz
