=== secret-agent/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	SecretAgent.cpp
 	SecretAgentAdaptor.cpp
 	SecretRequest.cpp
-	gtk/PasswordMenu.cpp
+	PasswordMenu.cpp
 )
 
 qt5_add_dbus_adaptor(
