## indicator-network 0.5.1+14.10.20141014

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,30 @@
 project(indicator-network C CXX)
 cmake_minimum_required(VERSION 2.8.9)
 
+string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)
+
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
-set(PACKAGE ${CMAKE_PROJECT_NAME})
+
+if("${build_type_lower}" STREQUAL debug)
+  set(TRACE_DEFAULT TRUE)
+else()
+  set(TRACE_DEFAULT FALSE)
+endif()
+
+option(trace_messages "Print debug trace messages." ${TRACE_DEFAULT})
+
+if(${trace_messages})
+  add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
+endif()
+
+find_package(PkgConfig REQUIRED)
+include(EnableCoverageReport)
+include(GNUInstallDirs)
+include(UseGSettings)
+
 set(GETTEXT_PACKAGE indicator-network)
 set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
-
-add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )
-
-find_package(PkgConfig REQUIRED)
-include(GNUInstallDirs)
-include(Coverage)
-include(UseVala)
-include(UseGSettings)
 
 # Workaround for libexecdir on debian
 if (EXISTS "/etc/debian_version")
@@ -40,6 +51,14 @@
   libnm-util>=${NM_REQUIRED_VERSION}
 )
 include_directories(${NM_INCLUDE_DIRS})
+
+set(OFONO_REQUIRED_VERSION 1.12)
+pkg_check_modules(
+  OFONO REQUIRED
+  ofono>=${OFONO_REQUIRED_VERSION}
+)
+include_directories(${OFONO_INCLUDE_DIRS})
+
 
 set(NOTIFY_REQUIRED_VERSION 0.7.5)
 pkg_check_modules(
@@ -72,30 +91,45 @@
 pkg_check_modules(GIO REQUIRED gio-2.0>=${GLIB_REQUIRED_VERSION})
 include_directories(${GIO_INCLUDE_DIRS})
 
-set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-find_package(Vala 0.22)
 
 find_package(GObjectIntrospection 0.9.12)
 
 include_directories(${CMAKE_BINARY_DIR})
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+set(COMMON_FLAGS "-Wall -Wextra -Wpedantic -fno-permissive -fPIC -fvisibility=hidden -pthread")
+if(NOT build_type_lower MATCHES debug)
+    set(COMMON_FLAGS "${COMMON_FLAGS} -Werror")
+endif()
 
-add_definitions(
-  -Wall
-)
+# "nice bug" in cmake... http://www.cmake.org/Bug/view.php?id=15058
+# let's not set C_FLAGS as it will break pthreads detection \o/
+#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11 ${COMMON_FLAGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${COMMON_FLAGS} -fno-strict-aliasing -fvisibility-inlines-hidden")
 
 configure_file(
   "config.h.in"
   "config.h"
 )
 
+#####################################################################
+# Enable code coverage calculation with gcov/gcovr/lcov
+# Usage:
+#  * Switch build type to coverage (use ccmake or cmake-gui)
+#  * Invoke make, make test, make coverage
+#  * Find html report in subdir coveragereport
+#  * Find xml report feasible for jenkins in coverage.xml
+#####################################################################
+IF(build_type_lower MATCHES coverage)
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
+  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
+ENDIF()
+
 add_subdirectory(data)
-add_subdirectory(network)
-add_subdirectory(secret-agent)
+add_subdirectory(src)
+add_subdirectory(po)
 
 enable_testing()
 add_subdirectory(tests)
@@ -105,3 +139,5 @@
         ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
 
+enable_coverage_report(TARGETS menumodel_cpp connectivity-cpp indicator-secret-agent
+                       FILTER ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)
