=== tests/unit/CMakeLists.txt ===
add_subdirectory(indicator)
add_subdirectory(menumodel-cpp)
add_subdirectory(secret-agent)
